Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-sdl3/themebackgrounds.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Enumerations | Functions
themebackgrounds.h File Reference
`#include <SDL3/SDL.h>`
`#include "registry.h"`

Go to the source code of this file.

## Enumerations

enum

theme_background {
BACKGROUND_CHANGERESEARCHDLG , BACKGROUND_CHOOSEGOVERNMENTDLG , BACKGROUND_CITYDLG , BACKGROUND_CITYGOVDLG ,
BACKGROUND_CITYREP , BACKGROUND_CONNECTDLG , BACKGROUND_CONNLISTDLG , BACKGROUND_ECONOMYDLG ,
BACKGROUND_HELPDLG , BACKGROUND_JOINGAMEDLG , BACKGROUND_LOADGAMEDLG , BACKGROUND_MAINPAGE ,
BACKGROUND_MESSAGEWIN , BACKGROUND_NATIONDLG , BACKGROUND_NEWCITYDLG , BACKGROUND_OPTIONDLG ,
BACKGROUND_REVOLUTIONDLG , BACKGROUND_SCIENCEDLG , BACKGROUND_SPYSTEALDLG , BACKGROUND_STARTMENU ,
BACKGROUND_UNITSREP , BACKGROUND_USERPASSWDDLG , BACKGROUND_WLDLG , BACKGROUND_LAST
}

## Functions

SDL_Surface * | theme_get_background (const struct theme *t, enum theme_background background)
struct theme_background_system * | theme_background_system_read (struct section_file *file)
void | theme_background_system_free (struct theme_background_system *backgrounds)

## Enumeration Type Documentation

## ◆ theme_background

enum theme_background

Enumerator
BACKGROUND_CHANGERESEARCHDLG |
BACKGROUND_CHOOSEGOVERNMENTDLG |
BACKGROUND_CITYDLG |
BACKGROUND_CITYGOVDLG |
BACKGROUND_CITYREP |
BACKGROUND_CONNECTDLG |
BACKGROUND_CONNLISTDLG |
BACKGROUND_ECONOMYDLG |
BACKGROUND_HELPDLG |
BACKGROUND_JOINGAMEDLG |
BACKGROUND_LOADGAMEDLG |
BACKGROUND_MAINPAGE |
BACKGROUND_MESSAGEWIN |
BACKGROUND_NATIONDLG |
BACKGROUND_NEWCITYDLG |
BACKGROUND_OPTIONDLG |
BACKGROUND_REVOLUTIONDLG |
BACKGROUND_SCIENCEDLG |
BACKGROUND_SPYSTEALDLG |
BACKGROUND_STARTMENU |
BACKGROUND_UNITSREP |
BACKGROUND_USERPASSWDDLG |
BACKGROUND_WLDLG |
BACKGROUND_LAST |

Definition at line 23 of file themebackgrounds.h.

## Function Documentation

## ◆ theme_background_system_free()

void theme_background_system_free | ( | struct theme_background_system * | backgrounds | ) |

Called when the client first starts to free any allocated backgrounds.

Definition at line 80 of file themebackgrounds.c.

Referenced by theme_free_toplevel().

## ◆ theme_background_system_read()

struct theme_background_system * theme_background_system_read | ( | struct section_file * | file | ) |

Read theme background system from a file.

Definition at line 61 of file themebackgrounds.c.

Referenced by theme_read_toplevel().

## ◆ theme_get_background()

SDL_Surface * theme_get_background | ( | const struct theme * | t,
|  | enum theme_background | background
| ) |  |

Return a pointer to the given theme background.

Definition at line 94 of file themebackgrounds.c.

Referenced by arrange_widgets(), draw_intro_gfx(), economy_report_dialog_popup(), meswin_dialog_popup(), popup_change_research_dialog(), popup_change_research_goal_dialog(), popup_city_cma_dialog(), popup_conn_list_dialog(), popup_connection_dialog(), popup_government_dialog(), popup_impr_info(), popup_join_game_dialog(), popup_load_game_dialog(), popup_new_user_passwd_dialog(), popup_newcity_dialog(), popup_races_dialog(), popup_tech_info(), popup_unit_info(), popup_user_passwd_dialog(), popup_worklist_editor(), real_activeunits_report_dialog_update(), real_city_dialog_popup(), real_info_city_report_dialog_update(), science_report_dialog_popup(), show_main_page(), and spy_steal_popup_shared().